Subject: bug#40079: emacs-elpy-1.31.0: failed to build

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Mar 2020 23:32:25 +0100

Maxim Cournoyer <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>
>>> sirgazil via Bug reports for GNU Guix <[email-masked]> writes:
>>>
>>>> I couldn't upgrade the packages in my user profile because "emacs-elpy" check phase fails. 
>>>>
>>>>
>>>> ## Steps to reproduce
>>>>
>>>> 1. guix pull
>>>> 2. guix build emacs-elpy
>>>>
>>>>
>>>> ## Unexpected result
>>>>
>>>>
>>>> The output of the check phase:
>>>>
>>>> ---------------------------
>>>> starting phase `check'
>>>>
>>>> Can’t guess python-indent-offset, using defaults: 4
>>>
>>> This seems to stem from the update of 'python-black' in
>>> 5f603fab23e7df7e7b76566b3add24b65e92f807.  Reverting that commit makes
>>> this package build.
>>>
>>> @Ricardo: Any objections to reverting the commit?
>>
>> I’d rather not revert but add an older variant of python-black for elpy.
>
> Perhaps the issue would vanish if we move to Elpy 1.32?  I had started
> packaging it, but hit some issues.

In any case I'm sure sirgazil is not the only user of this package, so
we should try and find a resolution quickly.

As a side note, this bug report could have been easily prevented by
building the few packages listed by 'guix refresh -l python{,2}-black'
before pushing!  Not to single out Ricardo here (I forget this too
occasionally), but I expect contributors to do this in general and think
we should keep a low threshold for reverting breaking commits.